libpqxx: pqxx::const_reverse_tuple_iterator Class Reference

libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
pqxx::const_reverse_tuple_iterator Class Reference

Reverse iterator for a tuple. Use as tuple::const_reverse_iterator. More...

`#include <tuple.hxx>`

Inheritance diagram for pqxx::const_reverse_tuple_iterator:

## Public Types
typedef const_tuple_iterator | super
typedef const_tuple_iterator | iterator_type
typedef tuple::difference_type | difference_type
typedef field | reference

## Public Member Functions
| const_reverse_tuple_iterator (const const_reverse_tuple_iterator &r)
| const_reverse_tuple_iterator (const super &rhs) throw ()
iterator_type PQXX_PURE | base () const throw ()
Manipulations
const_reverse_tuple_iterator & | operator= (const const_reverse_tuple_iterator &r)
const_reverse_tuple_iterator | operator++ ()
const_reverse_tuple_iterator | operator++ (int)
const_reverse_tuple_iterator & | operator-- ()
const_reverse_tuple_iterator | operator-- (int)
const_reverse_tuple_iterator & | operator+= (difference_type i)
const_reverse_tuple_iterator & | operator-= (difference_type i)
Arithmetic operators
const_reverse_tuple_iterator | operator+ (difference_type i) const
const_reverse_tuple_iterator | operator- (difference_type i)
difference_type | operator- (const const_reverse_tuple_iterator &rhs) const
Comparisons
bool | operator== (const const_reverse_tuple_iterator &rhs) const throw ()
bool | operator!= (const const_reverse_tuple_iterator &rhs) const throw ()
bool | operator< (const const_reverse_tuple_iterator &rhs) const
bool | operator<= (const const_reverse_tuple_iterator &rhs) const
bool | operator> (const const_reverse_tuple_iterator &rhs) const
bool | operator>= (const const_reverse_tuple_iterator &rhs) const

## Additional Inherited Members
Private Types inherited from pqxx::const_tuple_iterator
typedef tuple::size_type | size_type
typedef tuple::difference_type | difference_type
typedef field | reference
Private Member Functions inherited from pqxx::const_tuple_iterator
| const_tuple_iterator (const tuple &T, tuple::size_type C) throw ()
| const_tuple_iterator (const field &F) throw ()
pointer | operator-> () const
reference | operator* () const
const_tuple_iterator | operator++ (int)
const_tuple_iterator & | operator++ ()
const_tuple_iterator | operator-- (int)
const_tuple_iterator & | operator-- ()
const_tuple_iterator & | operator+= (difference_type i)
const_tuple_iterator & | operator-= (difference_type i)
bool | operator== (const const_tuple_iterator &i) const
bool | operator!= (const const_tuple_iterator &i) const
bool | operator< (const const_tuple_iterator &i) const
bool | operator<= (const const_tuple_iterator &i) const
bool | operator> (const const_tuple_iterator &i) const
bool | operator>= (const const_tuple_iterator &i) const
const_tuple_iterator | operator+ (difference_type) const
const_tuple_iterator | operator- (difference_type) const
difference_type | operator- (const_tuple_iterator) const
Friends inherited from pqxx::const_tuple_iterator

## Detailed Description

Reverse iterator for a tuple. Use as tuple::const_reverse_iterator.

## Member Typedef Documentation

typedef tuple::difference_type pqxx::const_tuple_iterator::difference_type

typedef const_tuple_iterator pqxx::const_reverse_tuple_iterator::iterator_type

typedef field pqxx::const_tuple_iterator::reference

typedef const_tuple_iterator pqxx::const_reverse_tuple_iterator::super

## Constructor & Destructor Documentation

pqxx::const_reverse_tuple_iterator::const_reverse_tuple_iterator | ( | const const_reverse_tuple_iterator & | r | ) |

pqxx::const_reverse_tuple_iterator::const_reverse_tuple_iterator | ( | const super & | rhs | ) | throw ()
| explicit

## Member Function Documentation

pqxx::const_tuple_iterator pqxx::const_reverse_tuple_iterator::base | ( |  | ) | const throw ()

bool pqxx::const_reverse_tuple_iterator::operator!= | ( | const const_reverse_tuple_iterator & | rhs | ) | const throw ()

const_reverse_tuple_iterator pqxx::const_reverse_tuple_iterator::operator+ | ( | difference_type | i | ) | const

const_reverse_tuple_iterator pqxx::const_reverse_tuple_iterator::operator++ | ( |  | ) |

pqxx::const_reverse_tuple_iterator pqxx::const_reverse_tuple_iterator::operator++ | ( | int |  | ) |

const_reverse_tuple_iterator& pqxx::const_reverse_tuple_iterator::operator+= | ( | difference_type | i | ) |

const_reverse_tuple_iterator pqxx::const_reverse_tuple_iterator::operator- | ( | difference_type | i | ) |

difference_type pqxx::const_reverse_tuple_iterator::operator- | ( | const const_reverse_tuple_iterator & | rhs | ) | const

const_reverse_tuple_iterator& pqxx::const_reverse_tuple_iterator::operator-- | ( |  | ) |

pqxx::const_reverse_tuple_iterator pqxx::const_reverse_tuple_iterator::operator-- | ( | int |  | ) |

const_reverse_tuple_iterator& pqxx::const_reverse_tuple_iterator::operator-= | ( | difference_type | i | ) |

bool pqxx::const_reverse_tuple_iterator::operator< | ( | const const_reverse_tuple_iterator & | rhs | ) | const

bool pqxx::const_reverse_tuple_iterator::operator<= | ( | const const_reverse_tuple_iterator & | rhs | ) | const

const_reverse_tuple_iterator& pqxx::const_reverse_tuple_iterator::operator= | ( | const const_reverse_tuple_iterator & | r | ) |

bool pqxx::const_reverse_tuple_iterator::operator== | ( | const const_reverse_tuple_iterator & | rhs | ) | const throw ()

bool pqxx::const_reverse_tuple_iterator::operator> | ( | const const_reverse_tuple_iterator & | rhs | ) | const

bool pqxx::const_reverse_tuple_iterator::operator>= | ( | const const_reverse_tuple_iterator & | rhs | ) | const

The documentation for this class was generated from the following files:

- tuple.hxx
- tuple.cxx